IP_MULTICAST_ALL(2const)

NAME
IP_MULTICAST_ALL - delivery policy of multicast messages

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_MULTICAST_ALL,
               const int *val, sizeof(int));

DESCRIPTION
This option can be used to modify the delivery policy of multicast messages.

If set to 1 (default), the socket will receive messages from all the groups that have been joined globally on the whole system.

If set to 0, it will deliver messages only from the groups that have been explicitly joined (for example via IP_ADD_MEMBERSHIP(2const)) on this particular socket.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.6.31.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)